%define	desktop_vendor	planetccrma

Summary: Midi router
Name: soundfontcombi
Version: 0.018
Release: 1%{?dist}
URL: http://personal.telefonica.terra.es/web/soudfontcombi/soundfontcombi.html
Source0: http://personal.telefonica.terra.es/web/soudfontcombi/sfc-%{version}.tar.gz
Source1: soundfontcombi.desktop
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: hicolor-icon-theme
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils alsa-lib-devel fltk-devel
%if 0%{?fedora} >= 5 || 0%{?rhel} >= 5
BuildRequires: libX11-devel
%else
BuildRequires: XFree86-devel
%endif

%description
sfc (SoundFontCombi) is a midi router oriented to mix the sounds of
your sound devices, up to 8 sounds can be mixed or split, for do that
has 6 midi out ports and 2 midi in ports, up to six different devices
can be used to produce combinations of sounds like some synthesizers.

%prep
%setup -q -n sfc-%{version}

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-MIDI Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_bindir}/sfc
%{_datadir}/sfc
%{_datadir}/applications/*soundfontcombi.desktop

%changelog
* Mon Jan  3 2011 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.018-1
- updated to 0.018

* Fri Jul 11 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- built on CentOS 5

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.016-2
- updated desktop categories

* Mon Jan  8 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.016-1
- initial build
